#
# spec file for package clisp (Version 97.12.06)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  xpm

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         clisp
Release:      9
Copyright:    1992,93 Bruno Haible und Michael Stoll, 1994-97 Bruno Haible und Marcus Daniels
Group: 
Provides:     clisp 
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Version:      97.12.06
Summary:      A Common-Lisp interpreter
Source:  clisp-1997-12-06.tar.gz
Patch:   clisp-1997-12-06.dif
%description
Common Lisp is a high-level, all-purpose programming language. CLISP
is an implementation of Common Lisp that closely follows the book
"Common Lisp - The Language" by Guy L. Steele Jr. This package includes an
interactive programming environment with interpreter, compiler and
debugger. This environment will be started by the command
clisp 
The documentation of CLISP is placed in the directories
/usr/doc/packages/clisp/ 
/usr/doc/packages/clisp/doc/ 
As well as the conventional CLISP, the package also includes CLX,
an extension of CLISP for the X Window System. Of course
X11 has to be installed before the command
clx 
is called. The description of this CLX version (new-clx) is placed in
/usr/doc/packages/clisp/clx/ 
with the file README. The subdirectory
/usr/doc/packages/clisp/clx/demos/ 
contains two nice applications.

Authors:
--------
    Bruno Haible <haible@ma2s2.mathematik.uni-karlsruhe.de>
    Michael Stoll <michael@rhein.iam.uni-bonn.de>
    Marcus Daniels <marcus@sysc.pdx.edu>
    Gilbert Baumann <gilbert@ma2s2.mathematik.uni-karlsruhe.de>

%prep
%setup -n clisp-1997-12-06
%patch
%build
  export PATH="$PATH:."
  make -f Makefile.Linux compile
%install
  make -f Makefile.Linux install
  Check
%files
%docdir /usr/doc/packages/clisp/
%docdir /usr/doc/packages/clisp/clx/
%docdir /usr/doc/packages/clisp/clx/clx-manual/
%docdir /usr/doc/packages/clisp/clx/demos/
%docdir /usr/doc/packages/clisp/clx/demos/screens/
%docdir /usr/doc/packages/clisp/clx/demos/xpms/
%docdir /usr/doc/packages/clisp/doc/
%docdir /usr/doc/packages/clisp/doc/full/
%dir /usr/lib/lisp/
%dir /usr/lib/lisp/full/
/usr/bin/clisp
%doc /usr/doc/packages/clisp/ANNOUNCE
%doc /usr/doc/packages/clisp/COPYRIGHT
%doc /usr/doc/packages/clisp/GNU-GPL
%doc /usr/doc/packages/clisp/MAGIC.add
%doc /usr/doc/packages/clisp/NEWS
%doc /usr/doc/packages/clisp/README
%doc /usr/doc/packages/clisp/README.de
%doc /usr/doc/packages/clisp/README.en
%doc /usr/doc/packages/clisp/README.es
%doc /usr/doc/packages/clisp/SUMMARY
%doc /usr/doc/packages/clisp/clx/README
%doc /usr/doc/packages/clisp/clx/README.SuSE
%doc /usr/doc/packages/clisp/clx/clx-manual/README
%doc /usr/doc/packages/clisp/clx/clx-manual/appa.ps
%doc /usr/doc/packages/clisp/clx/clx-manual/condition.ps
%doc /usr/doc/packages/clisp/clx/clx-manual/contents.ps
%doc /usr/doc/packages/clisp/clx/clx-manual/functions.ps
%doc /usr/doc/packages/clisp/clx/clx-manual/general.ps
%doc /usr/doc/packages/clisp/clx/clx-manual/glossary.ps
%doc /usr/doc/packages/clisp/clx/clx-manual/s01.ps
%doc /usr/doc/packages/clisp/clx/clx-manual/s02.ps
%doc /usr/doc/packages/clisp/clx/clx-manual/s03.ps
%doc /usr/doc/packages/clisp/clx/clx-manual/s04.ps
%doc /usr/doc/packages/clisp/clx/clx-manual/s05.ps
%doc /usr/doc/packages/clisp/clx/clx-manual/s06.ps
%doc /usr/doc/packages/clisp/clx/clx-manual/s07.ps
%doc /usr/doc/packages/clisp/clx/clx-manual/s08.ps
%doc /usr/doc/packages/clisp/clx/clx-manual/s09.ps
%doc /usr/doc/packages/clisp/clx/clx-manual/s10.ps
%doc /usr/doc/packages/clisp/clx/clx-manual/s11.ps
%doc /usr/doc/packages/clisp/clx/clx-manual/s12.ps
%doc /usr/doc/packages/clisp/clx/clx-manual/s13.ps
%doc /usr/doc/packages/clisp/clx/clx-manual/s14.ps
%doc /usr/doc/packages/clisp/clx/clx-manual/s15.ps
%doc /usr/doc/packages/clisp/clx/clx-manual/s16.ps
%doc /usr/doc/packages/clisp/clx/clx-manual/types.ps
%doc /usr/doc/packages/clisp/clx/demos/qix.lsp
%doc /usr/doc/packages/clisp/clx/demos/screens/screen.1
%doc /usr/doc/packages/clisp/clx/demos/screens/screen.10
%doc /usr/doc/packages/clisp/clx/demos/screens/screen.11
%doc /usr/doc/packages/clisp/clx/demos/screens/screen.12
%doc /usr/doc/packages/clisp/clx/demos/screens/screen.13
%doc /usr/doc/packages/clisp/clx/demos/screens/screen.14
%doc /usr/doc/packages/clisp/clx/demos/screens/screen.15
%doc /usr/doc/packages/clisp/clx/demos/screens/screen.16
%doc /usr/doc/packages/clisp/clx/demos/screens/screen.17
%doc /usr/doc/packages/clisp/clx/demos/screens/screen.18
%doc /usr/doc/packages/clisp/clx/demos/screens/screen.19
%doc /usr/doc/packages/clisp/clx/demos/screens/screen.2
%doc /usr/doc/packages/clisp/clx/demos/screens/screen.20
%doc /usr/doc/packages/clisp/clx/demos/screens/screen.21
%doc /usr/doc/packages/clisp/clx/demos/screens/screen.22
%doc /usr/doc/packages/clisp/clx/demos/screens/screen.23
%doc /usr/doc/packages/clisp/clx/demos/screens/screen.24
%doc /usr/doc/packages/clisp/clx/demos/screens/screen.25
%doc /usr/doc/packages/clisp/clx/demos/screens/screen.26
%doc /usr/doc/packages/clisp/clx/demos/screens/screen.27
%doc /usr/doc/packages/clisp/clx/demos/screens/screen.28
%doc /usr/doc/packages/clisp/clx/demos/screens/screen.29
%doc /usr/doc/packages/clisp/clx/demos/screens/screen.3
%doc /usr/doc/packages/clisp/clx/demos/screens/screen.30
%doc /usr/doc/packages/clisp/clx/demos/screens/screen.31
%doc /usr/doc/packages/clisp/clx/demos/screens/screen.32
%doc /usr/doc/packages/clisp/clx/demos/screens/screen.33
%doc /usr/doc/packages/clisp/clx/demos/screens/screen.34
%doc /usr/doc/packages/clisp/clx/demos/screens/screen.35
%doc /usr/doc/packages/clisp/clx/demos/screens/screen.36
%doc /usr/doc/packages/clisp/clx/demos/screens/screen.37
%doc /usr/doc/packages/clisp/clx/demos/screens/screen.38
%doc /usr/doc/packages/clisp/clx/demos/screens/screen.39
%doc /usr/doc/packages/clisp/clx/demos/screens/screen.4
%doc /usr/doc/packages/clisp/clx/demos/screens/screen.40
%doc /usr/doc/packages/clisp/clx/demos/screens/screen.41
%doc /usr/doc/packages/clisp/clx/demos/screens/screen.42
%doc /usr/doc/packages/clisp/clx/demos/screens/screen.43
%doc /usr/doc/packages/clisp/clx/demos/screens/screen.44
%doc /usr/doc/packages/clisp/clx/demos/screens/screen.45
%doc /usr/doc/packages/clisp/clx/demos/screens/screen.46
%doc /usr/doc/packages/clisp/clx/demos/screens/screen.47
%doc /usr/doc/packages/clisp/clx/demos/screens/screen.48
%doc /usr/doc/packages/clisp/clx/demos/screens/screen.49
%doc /usr/doc/packages/clisp/clx/demos/screens/screen.5
%doc /usr/doc/packages/clisp/clx/demos/screens/screen.50
%doc /usr/doc/packages/clisp/clx/demos/screens/screen.6
%doc /usr/doc/packages/clisp/clx/demos/screens/screen.7
%doc /usr/doc/packages/clisp/clx/demos/screens/screen.8
%doc /usr/doc/packages/clisp/clx/demos/screens/screen.9
%doc /usr/doc/packages/clisp/clx/demos/sokoban.lsp
%doc /usr/doc/packages/clisp/clx/demos/xpms/centerwall.xpm
%doc /usr/doc/packages/clisp/clx/demos/xpms/east_twall.xpm
%doc /usr/doc/packages/clisp/clx/demos/xpms/eastwall.xpm
%doc /usr/doc/packages/clisp/clx/demos/xpms/floor.xpm
%doc /usr/doc/packages/clisp/clx/demos/xpms/goal.xpm
%doc /usr/doc/packages/clisp/clx/demos/xpms/horizwall.xpm
%doc /usr/doc/packages/clisp/clx/demos/xpms/llcorner.xpm
%doc /usr/doc/packages/clisp/clx/demos/xpms/lonewall.xpm
%doc /usr/doc/packages/clisp/clx/demos/xpms/lrcorner.xpm
%doc /usr/doc/packages/clisp/clx/demos/xpms/man.xpm
%doc /usr/doc/packages/clisp/clx/demos/xpms/man_down.xpm
%doc /usr/doc/packages/clisp/clx/demos/xpms/man_left.xpm
%doc /usr/doc/packages/clisp/clx/demos/xpms/man_right.xpm
%doc /usr/doc/packages/clisp/clx/demos/xpms/man_up.xpm
%doc /usr/doc/packages/clisp/clx/demos/xpms/north_twall.xpm
%doc /usr/doc/packages/clisp/clx/demos/xpms/northwall.xpm
%doc /usr/doc/packages/clisp/clx/demos/xpms/object.xpm
%doc /usr/doc/packages/clisp/clx/demos/xpms/save_man_down.xpm
%doc /usr/doc/packages/clisp/clx/demos/xpms/save_man_left.xpm
%doc /usr/doc/packages/clisp/clx/demos/xpms/save_man_right.xpm
%doc /usr/doc/packages/clisp/clx/demos/xpms/save_man_up.xpm
%doc /usr/doc/packages/clisp/clx/demos/xpms/saveman.xpm
%doc /usr/doc/packages/clisp/clx/demos/xpms/south_twall.xpm
%doc /usr/doc/packages/clisp/clx/demos/xpms/southwall.xpm
%doc /usr/doc/packages/clisp/clx/demos/xpms/treasure.xpm
%doc /usr/doc/packages/clisp/clx/demos/xpms/ulcorner.xpm
%doc /usr/doc/packages/clisp/clx/demos/xpms/urcorner.xpm
%doc /usr/doc/packages/clisp/clx/demos/xpms/vertiwall.xpm
%doc /usr/doc/packages/clisp/clx/demos/xpms/wall.xpm
%doc /usr/doc/packages/clisp/clx/demos/xpms/west_twall.xpm
%doc /usr/doc/packages/clisp/clx/demos/xpms/westwall.xpm
%doc /usr/doc/packages/clisp/doc/CLOS-guide.txt
%doc /usr/doc/packages/clisp/doc/LISP-tutorial.txt
%doc /usr/doc/packages/clisp/doc/clisp.1
%doc /usr/doc/packages/clisp/doc/clisp.gif
%doc /usr/doc/packages/clisp/doc/clisp.html
%doc /usr/doc/packages/clisp/doc/clreadline.3
%doc /usr/doc/packages/clisp/doc/clreadline.dvi
%doc /usr/doc/packages/clisp/doc/clreadline.html
%doc /usr/doc/packages/clisp/doc/cltl2.txt
%doc /usr/doc/packages/clisp/doc/editors.txt
%doc /usr/doc/packages/clisp/doc/full/regexp.dvi
%doc /usr/doc/packages/clisp/doc/full/wildcard.dvi
%doc /usr/doc/packages/clisp/doc/impnotes.html
%doc /usr/doc/packages/clisp/doc/impnotes.txt
%doc /usr/doc/packages/clisp/doc/readline.dvi
/usr/lib/lisp/full/lisp.run
/usr/lib/lisp/full/lispinit.mem
/usr/lib/lisp/full/wlisp.run
/usr/lib/lisp/full/wlispinit.mem
/usr/lib/lisp/lisp.run
/usr/lib/lisp/lispinit.mem
/usr/lib/lisp/wlisp.run
/usr/lib/lisp/wlispinit.mem
%doc /usr/man/man1/clisp.1.gz
%doc /usr/man/man3/clreadline.3.gz
/usr/share/locale/de/LC_MESSAGES/clisp.mo
/usr/share/locale/en/LC_MESSAGES/clisp.mo
/usr/share/locale/es/LC_MESSAGES/clisp.mo
/usr/share/locale/fr/LC_MESSAGES/clisp.mo

